Bug 170407 - GRUB doesn't install properly when using LVM on a dual boot system.
GRUB doesn't install properly when using LVM on a dual boot system.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
: 199505 210301 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-11 09:44 EDT by roman
Modified: 2008-10-10 11:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-10 10:48:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description roman 2005-10-11 09:44:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When installing FC4 to the second hard drive (First drive contains Windows XP), GRUB doesn't install properly if default partitioning scheme (with LVM) is chosen.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot from FC4 DVD.
2. Start setup. When prompted choose to erase all linux partitions
from the second drive (hdb) and partition automatically. Review, make
sure LVM is used.
3. When prompted to install GRUB, install on the MBR of the 1st drive.
4. Proceed to install packages.
5. Reboot when prompted.

Actual Results:  GRUB doesn't boot the default operating system, and doesn't display
the boot menu, instead it claims an error occurred (Error 17 I think).

Expected Results:  The default operating system (FC4) should boot after 5 seconds, or
at key press, a boot menu should be displayed.

Additional info:

The problem occurs only when using LVM. When I re-installed FC4
and partitioned the second drive without LVM
(3 partitions, 2 ext3, 1 swap), GRUB was installed properly.

Output from fdisk -l:

Disk /dev/hda: 40.0 GB, 40020664320 bytes
255 heads, 63 sectors/track, 4865 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hda1   *           1        4864    39070048+   7  HPFS/NTFS
This disk has both DOS and BSD magic.
Give the 'b' command to go to BSD mode.

Disk /dev/hdb: 30.0 GB, 30020272128 bytes
255 heads, 63 sectors/track, 3649 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hdb1   *           1          13      104391   83  Linux
/dev/hdb2              14         111      787185   82  Linux swap / Solaris
/dev/hdb3             112        3649    28418985   83  Linux
Comment 1 Samuel Sieb 2006-11-04 14:24:54 EST
I've seen this on FC5 and now on FC6.  If the default partitioning is used
(LVM), then the device.map doesn't have the second drive in it and trying to
install grub gives a "kernel missing" error.
Comment 2 Christian Iseli 2007-01-22 05:35:20 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Samuel Sieb 2007-01-24 12:53:37 EST
I confirmed it on FC5 and FC6, but I don't have permission to change the target.
Comment 4 Matthew Miller 2007-04-06 23:58:57 EDT
*** Bug 199505 has been marked as a duplicate of this bug. ***
Comment 5 Matthew Miller 2007-04-07 00:00:12 EDT
Moving to FC6 as per comment #3.
Comment 6 Joel Andres Granados 2008-01-28 07:55:24 EST
*** Bug 210301 has been marked as a duplicate of this bug. ***
Comment 7 Joel Andres Granados 2008-01-28 07:57:51 EST
To duplicate this bug must have two HD and point the MBR to the second drive. 
Must also have LVM.  I tested in f8.
Comment 8 Peter Jones 2008-10-09 14:58:36 EDT
(In reply to comment #7)
> To duplicate this bug must have two HD and point the MBR to the second drive. 
> Must also have LVM.  I tested in f8.

This is just user error.  What would you have us fix if we can't tell which disk is bootable in the BIOS?
Comment 9 Samuel Sieb 2008-10-10 01:18:32 EDT
The original bug was installing Fedora on the second drive using LVM and installing grub in the MBR of the first drive.  I don't have such a system handy to test with though.
Comment 10 Peter Jones 2008-10-10 10:48:00 EDT
We honor the EDD data from the BIOS unless you choose not to in the UI.  There's really not a better option here.
Comment 11 Samuel Sieb 2008-10-10 11:51:30 EDT
I don't understand that answer.  It's not a strange setup.  Grub is installed on the first (boot) drive in the MBR.  That is the normal way.  Fedora is installed on the secondary drive.  Again, not really strange.  The problem was with the LVM.  If normal (non-LVM) partitions were used, it worked fine.

Note You need to log in before you can comment on or make changes to this bug.